import jsCookie from 'js-cookie'

const importAdsFile = () => import(/* webpackChunkName: "ads" */ './ads')

const setCookie = value => jsCookie.set('IJADBLOCKER', value)

const createAddElement = () => {
  const testAdEl = document.createElement('div')
  testAdEl.innerHTML = '&nbsp;'
  testAdEl.className = 'adsbox'
  document.body.appendChild(testAdEl)
  return testAdEl
}

const isAdBlockEnabled = el =>
  el.offsetHeight === 0 ||
  !document.body.contains(el) ||
  el.style.display === 'none' ||
  el.style.visibility === 'hidden' ||
  !window.ij_ad_blocker_checker_loaded

export default () => {
  const adElement = createAddElement()
  importAdsFile()
  window.setTimeout(function() {
    setCookie(isAdBlockEnabled(adElement))
    adElement.remove()
  }, 2000)
}
