import axios from 'axios'

const ADOBE_ORG_ID = '05FF6243578784B37F000101@AdobeOrg'
const DEMDEX_URL = 'https://dpm.demdex.net/id'
const MARKETING_KEY = 'XID'

const paramsFactory = ({infojobsVisitorId, adobeVisitorId}) => ({
  d_cid_ic: `${MARKETING_KEY}%01${adobeVisitorId}`,
  d_mid: infojobsVisitorId || adobeVisitorId,
  d_orgid: ADOBE_ORG_ID,
  d_rtbd: 'json',
  d_ver: 2,
  dcs_region: 6
})

const request = ({adobeVisitorId, infojobsVisitorId}) =>
  axios.get(DEMDEX_URL, {
    params: paramsFactory({adobeVisitorId, infojobsVisitorId})
  })

export default async ({adobeVisitorId, infojobsVisitorId}) => {
  try {
    if (adobeVisitorId) await request({adobeVisitorId, infojobsVisitorId})
    if (infojobsVisitorId)
      await request({adobeVisitorId: infojobsVisitorId, infojobsVisitorId})
  } catch (error) {
    console.error('rubik:js', error)
  }
}
